<?php

namespace App\Filament\Resources\StudentLifeResource\Pages;

use App\Filament\Resources\StudentLifeResource;
use Filament\Resources\Pages\ListRecords;
use Filament\Actions;
use Illuminate\Support\Facades\Gate;
class ListStudentLives extends ListRecords
{
    protected static string $resource = StudentLifeResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Student Life')
                ->visible(fn () => Gate::allows('create studentlife')),
        ];
    }
} 